public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Brian Evans" <grknight@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libbson/
Date: Thu, 30 Jun 2016 17:00:00 +0000 (UTC)	[thread overview]
Message-ID: <1467305983.d81d64da88662273ac04caaeb929c79723a9645d.grknight@gentoo> (raw)

commit:     d81d64da88662273ac04caaeb929c79723a9645d
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 30 16:43:19 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu Jun 30 16:59:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d81d64da

dev-libs/libbson: Version bump

Non-maintainer commit;  ack'd by Ultrabug in #gentoo-dev

Package-Manager: portage-2.3.0

 dev-libs/libbson/Manifest             |  1 +
 dev-libs/libbson/libbson-1.3.5.ebuild | 51 +++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-libs/libbson/Manifest b/dev-libs/libbson/Manifest
index d2695fd..9650564 100644
--- a/dev-libs/libbson/Manifest
+++ b/dev-libs/libbson/Manifest
@@ -1,3 +1,4 @@
 DIST libbson-0.98.0.tar.gz 4451923 SHA256 5e792a3c4d296a8b9e4316f1c58e94819223c4512ba4a790cf9e7086ef614995 SHA512 9bae7593198c8ac358978bd6a065d65fb872a15fd43d11839ad5dff1ffbe0362b06cd4bde08032a2c11e8633789328b5d504cd032b7636dc525f6df3e6fd641d WHIRLPOOL ed6350ef59fa596f6414010362999896648c491a906b4ad9f5e11bac549acf975083d3b6ea8d4e0eff0e3ae35a7db784303120d3855b7f2bb21373a318f44516
 DIST libbson-1.1.10.tar.gz 4431658 SHA256 211a62a7a6f93ba21b85afc1522c3a367a264be09626ea15f7be3a0fbe084a70 SHA512 636178bafb19e7b103b5192866dbda0c70b8d7173560b0466f88b3a85cce3292a7caac9521808fa8c09d187f8c96564dcd9fb787e855d1619610f813583379bc WHIRLPOOL 8b29882ce3ebe0da4b0ce952d2b79fff2ce4c211047ff7c05e15f6263546258c134974fdf539ed6173f286c501085e575cebde806f6578ea9fb843f1b92da4f3
 DIST libbson-1.1.2.tar.gz 4492014 SHA256 acd8026d4e5bf5034b699af136236a8a38c06613d1800fdf54721fe66280b6ae SHA512 03e2ee337445286c14b846cd7545707959b1d351fa466c6292379a85e48ea1a171dae37dd7aff092212239ad59aac6f1ab216ee5de74ef00a8a2a124559e34da WHIRLPOOL 10a4fee34bcc12a730899553d62405784673ee5beecf63a624fb1527c9dddd0403d855a7557f6a35167bffee2b2ebb9f7d3b7ddc64d2e12cc39d95afe89e0db6
+DIST libbson-1.3.5.tar.gz 4547720 SHA256 d380cfc30bbb598e64bc5e4b0851f9e8343071292a9e0a101f49ec06211a1b23 SHA512 b55ae1d424f786aabed6567a77cd09aa26c74ab0a09392e88faef8c156b1650c026f86f245bc8431a0ebcf404c4f80eb1b22e978a24289d32692c84375a66596 WHIRLPOOL fb0d2f05e0a8c60da2d3277ec1413799b8e45c23e408fdd136b3ebe4f6e74ed7d58d767792f1d6454bb6e61785f7ae624ff655b94f39ef6007e1f248caf7cad5

diff --git a/dev-libs/libbson/libbson-1.3.5.ebuild b/dev-libs/libbson/libbson-1.3.5.ebuild
new file mode 100644
index 0000000..09d0455
--- /dev/null
+++ b/dev-libs/libbson/libbson-1.3.5.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="A BSON utility library"
+HOMEPAGE="https://github.com/mongodb/libbson"
+SRC_URI="https://github.com/mongodb/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+IUSE="debug examples static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS NEWS README )
+
+src_prepare() {
+	default_src_prepare
+	# https://github.com/mongodb/mongo-c-driver/issues/54
+	sed -i -e "s/PTHREAD_LIBS/PTHREAD_CFLAGS/g" src/bson/Makefile.am \
+		tests/Makefile.am || die
+	eautoreconf
+}
+
+src_configure() {
+	econf --disable-hardening \
+		--disable-optimizations \
+		$(use_enable debug) \
+		$(use_enable static-libs static)
+}
+
+src_install() {
+	default_src_install
+	if [[ -f "${D}usr/share/doc/${P}/COPYING" ]] ; then
+		rm "${D}usr/share/doc/${P}/COPYING" || die
+	fi
+	# Installing all the manuals conflicts with man-pages
+	doman doc/man/bson_*.3
+	use static-libs || find "${D}" -name '*.la' -delete
+
+	if use examples; then
+		insinto /usr/share/${PF}/examples
+		doins examples/*.c
+	fi
+}


             reply	other threads:[~2016-06-30 17:00 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-30 17:00 Brian Evans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-10  6:17 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libbson/ Eray Aslan
2024-09-10  6:17 Eray Aslan
2024-07-28 13:07 Eray Aslan
2023-09-08 19:55 Sam James
2023-09-08 19:29 Sam James
2022-12-04  9:23 WANG Xuerui
2022-05-13 14:08 Jakov Smolić
2021-11-26  6:42 Sam James
2021-10-27  6:37 Agostino Sarubbo
2021-07-27 11:00 Marek Szuba
2021-07-24 16:15 Thomas Deutschmann
2021-02-28 18:08 Andreas Sturmlechner
2020-08-06 14:34 Thomas Deutschmann
2020-07-18 22:38 Sam James
2020-07-14 16:38 Sergei Trofimovich
2020-05-29  7:42 Agostino Sarubbo
2019-11-15 21:57 Alexys Jacob
2019-02-13 13:41 Thomas Deutschmann
2018-12-23 14:29 Mikle Kolyada
2018-12-22 22:25 Thomas Deutschmann
2018-12-21 20:16 Sergei Trofimovich
2018-11-16 19:08 Sergei Trofimovich
2018-08-14 21:32 Alexys Jacob
2018-08-01 19:23 Alexys Jacob
2018-06-22 21:35 Thomas Deutschmann
2018-04-07 11:03 Jeroen Roovers
2018-03-25 19:28 Sergei Trofimovich
2018-03-25 19:28 Sergei Trofimovich
2018-03-25 19:28 Sergei Trofimovich
2018-03-25 19:28 Sergei Trofimovich
2018-03-02 14:39 Alexys Jacob
2018-02-10  0:32 Thomas Deutschmann
2018-01-28 16:08 Mikle Kolyada
2017-12-07 17:34 Patrice Clement
2017-05-19 10:52 Michał Górny
2017-04-21 21:29 Patrice Clement
2016-11-03 16:19 Göktürk Yüksek
2015-09-17 11:54 Alexys Jacob

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1467305983.d81d64da88662273ac04caaeb929c79723a9645d.grknight@gentoo \
    --to=grknight@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox